List Scaleway credentials
import requests
url = "https://platform.ankra.app/api/v1/credentials/scaleway"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/credentials/scaleway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/credentials/scaleway \
--header 'Authorization: Bearer <token>'[
{
"available": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "scaleway",
"system": true,
"created_at": "2023-11-07T05:31:56Z",
"health": {},
"state": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Scaleway Credentials
List Scaleway credentials
Bearer PAT authentication; RBAC permission credentials.read. Returns credential metadata only; access_key and secret_key are never returned.
GET
/
api
/
v1
/
credentials
/
scaleway
List Scaleway credentials
import requests
url = "https://platform.ankra.app/api/v1/credentials/scaleway"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/credentials/scaleway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/credentials/scaleway \
--header 'Authorization: Bearer <token>'[
{
"available": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "scaleway",
"system": true,
"created_at": "2023-11-07T05:31:56Z",
"health": {},
"state": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.